Attach a provider credential
curl --request POST \
--url https://api.airctrl.dev/v1/gateways/{id}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentialId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modelId": "<string>"
}
'import requests
url = "https://api.airctrl.dev/v1/gateways/{id}/credentials"
payload = {
"credentialId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modelId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credentialId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', modelId: '<string>'})
};
fetch('https://api.airctrl.dev/v1/gateways/{id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"gateway_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"default_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_model": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"settings": {
"spend_limit": "<string>",
"spend_window": "daily",
"rate_limit_per_min": 2,
"logging_enabled": true,
"log_bodies": true,
"guardrail_mode": "off",
"cache_enabled": true,
"cache_ttl_seconds": 61,
"allowed_models": [
"<string>"
]
},
"credential_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"credential_bindings": [
{
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "<string>",
"priority": 123
}
]
}
}{
"ok": false,
"error": {
"code": "bad_request",
"message": "Request validation failed",
"details": [
"Check the submitted values."
]
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Authentication is required"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "forbidden",
"message": "not_authorized"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "conflict",
"message": "idempotency_key_reused_with_different_params"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Too many requests"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "internal_error",
"message": "Internal server error"
},
"requestId": "req_example"
}Gateways
Attach a provider credential
Validates one live-catalog model and binds it with an existing provider credential to one gateway. Requires gateways:attach-credential and provider-credentials:list-models.
POST
/
gateways
/
{id}
/
credentials
Attach a provider credential
Authorizations
Human personal access token (sk-actrl-pat-...).
Path Parameters
Body
application/json